Enviar uma mensagem de texto livre
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/messages/free-form \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "919900000001",
"text": "Your order is out for delivery.",
"previewUrl": false
}
'{
"messaging_product": "whatsapp",
"contacts": [
{
"input": "919900000001",
"wa_id": "919900000001"
}
],
"messages": [
{
"id": "wamid.HBgMOTE5OTAwMDAwMDAxFQIAERgS...",
"message_status": "accepted"
}
]
}Mensagens
Enviar uma mensagem de texto livre
Enviar uma mensagem de texto livre. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
messages
/
free-form
Enviar uma mensagem de texto livre
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/messages/free-form \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "919900000001",
"text": "Your order is out for delivery.",
"previewUrl": false
}
'{
"messaging_product": "whatsapp",
"contacts": [
{
"input": "919900000001",
"wa_id": "919900000001"
}
],
"messages": [
{
"id": "wamid.HBgMOTE5OTAwMDAwMDAxFQIAERgS...",
"message_status": "accepted"
}
]
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID do número de telefone retornado por GET /meta/phone-numbers.
Corpo
application/json
Resposta
200 - application/json
Text accepted for delivery
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
500 | Outside the 24-hour customer service window, or recipient has not opted in | Send an approved template instead |
Esta página foi útil?